//PROGRAMM FOR BLINKING LED
//
// PROCESSOR : PIC18LF8490
// CLOCK	 : 20MHz, EXTERNAL


#include <pic18.h>

// Configuration bit
__CONFIG(1, HS & FCMDIS & IESODIS) ;
__CONFIG(2, PWRTDIS & WDTDIS & BORDIS & BORV20) ;
__CONFIG(3, CCP2RC1 & LPT1DIS & MCLRDIS) ;
__CONFIG(4, XINSTEN & STVREN) ;
__CONFIG(5, UNPROTECT) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// main function
void main( void ) {


	INTCON 	= 0x0; 	 	// disable interupt
	TRISB 	&= ~0x20;  	// led as output
	PORTB 	|= 0x20; 	// led off -> high	

	// loop forever  
	while(1) {

		// Toggle led
		PORTB ^= 0x20;
		// Simple delay
		Delay(50000);
	}
}
